import request from '@/utils/request';
/**
 * 获取信息列表
 */
export async function getTableList(data) {
  const res = await request.post(`/eom/saleordersendrecord/listForTrayList`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 详情
 */
export async function getDetail(data) {
  const res = await request.post(`/eom/saleordersendrecord/listForTrayListDetail`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
/**
 * 更新
 */
export async function updateTrayList(data) {
  const res = await request.put(`/eom/saleordersendrecord/updateTrayList`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}